> ## Documentation Index
> Fetch the complete documentation index at: https://developers.redo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Return Tag

> Delete a return tag. The tag is also stripped from every return and saved view filter that referenced it.
Requires the [`returns_write`](/docs/api-reference/scopes) scope.



## OpenAPI

````yaml /api-schema/openapi.yaml delete /stores/{storeId}/return-tags/{name}
openapi: 3.1.0
info:
  contact:
    email: engineering-admin@getredo.com
    name: Redo Engineering
  description: |
    ## Endpoints

    Endpoints are authenticated using the Bearer authorization scheme, using the
    REDO_API_SECRET.

    ```txt
    GET /v2.2/resource HTTP/1.1
    Authorization: Bearer 77bb7598b7a972475cc7c7e171ec33af
    Host: api.getredo.com
    ```

    ## Webhooks

    Webhooks are authenticated using the Bearer authorization scheme, using
    a secret supplied by the subscriber.

    ```txt
    POST /events HTTP/1.1
    Authorization: Bearer subscriberauth123
    Host: subscriber.example.com
    ```

    Webhook events are delivered in order for each individual subject (e.g.
    return).

    If the response is not a 2xx status code, the event will be retried multiple
    times before discarding it.
  title: Redo API
  version: 2.2.1
servers:
  - url: https://api.getredo.com/v2.2
security: []
tags:
  - name: Checkout Buttons
  - name: Coverage Info
  - name: Coverage Products
  - name: Custom Events
  - name: Customer Portal
  - name: Customer Subscriptions
  - name: Customers
  - name: Inbound Shipments
  - name: Inventory Items
  - name: Inventory Levels
  - name: Invoices
  - name: Merchant Admin
  - name: Orders
  - name: Products
  - name: Returns
  - name: Storefront
  - name: Webhooks
paths:
  /stores/{storeId}/return-tags/{name}:
    summary: Return Tag
    description: Return tag.
    parameters:
      - $ref: '#/components/parameters/store-id.param'
      - $ref: '#/components/parameters/return-tag-name.param'
    delete:
      tags:
        - Returns
      summary: Delete Return Tag
      description: >-
        Delete a return tag. The tag is also stripped from every return and
        saved view filter that referenced it.

        Requires the [`returns_write`](/docs/api-reference/scopes) scope.
      operationId: Return tag delete
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  success:
                    const: true
                    type: boolean
                required:
                  - success
                type: object
          description: Success
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/error.schema'
          description: >-
            Invalid request. Returned with type
            `com.getredo.api:return-tag/invalid-request` when the path `name` is
            missing.
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/error.schema'
          description: Error
      security:
        - Bearer: []
components:
  parameters:
    store-id.param:
      description: Store ID
      in: path
      name: storeId
      required: true
      schema:
        example: 64e5a8a1af49a89df37e4ee7
        type: string
    return-tag-name.param:
      description: Return tag name. Case-sensitive and URL-encoded.
      in: path
      name: name
      required: true
      schema:
        example: Damaged
        type: string
  schemas:
    error.schema:
      description: >-
        Problem details. See [RFC 7807 Section
        3](https://datatracker.ietf.org/doc/html/rfc7807#section-3).
      properties:
        detail:
          description: Human-readable description of the problem.
          title: Detail
          type: string
        instance:
          description: A URI reference that identifies this problem.
          format: uri-reference
          type: string
        title:
          description: Human-readable summary of the problem type.
          title: Title
          type: string
        type:
          default: about:blank
          description: A URI reference that identifies the problem type.
          format: uri-reference
          type: string
      title: Problem details
      type: object
  securitySchemes:
    Bearer:
      scheme: bearer
      type: http

````